name: Prek (pre-commit checks) checks
on: [pull_request]

jobs:
    prek:
        runs-on: ubuntu-latest
        continue-on-error: true
        steps:
            - uses: actions/checkout@v5
              with:
                fetch-depth: 0
            - uses: astral-sh/setup-uv@v5
            - uses: j178/prek-action@v1
              with:
                extra-args: '--from-ref origin/${{ github.base_ref }} --to-ref ${{ github.sha }}'
